unit CardLib;

interface

type
  TCardSuit = (csClubs, csDiamonds, csHearts, csSpades);
  TCardValue = 1..13;
  TCard = record
    Value: TCardValue;
    Suit: TCardSuit;
  end;

function CardToStr(const Card: TCard): String;

implementation

const
  CardValues: array[TCardValue] of String =
    ('Ace', '2', '3', '4', '5', '6', '7',
     '8', '9', '10', 'Jack', 'Queen', 'King');
  CardSuits: array[TCardSuit] of String =
    ('Clubs', 'Diamonds', 'Hearts', 'Spades');

function CardToStr(const Card: TCard): String;
begin
  Result := CardValues[Card.Value] + ' of ' + CardSuits[Card.Suit]
end;

end.
